unit HIDform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls,
  HID_Intf;

type
  THIDtestForm = class(TForm)
    ScanBut: TButton;
    InputWindow: TMemo;
    Label4: TLabel;
    procedure ScanButClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  HIDtestForm: THIDtestForm;
  ProgDir: string;

implementation


{$R *.dfm}


procedure THIDtestForm.ScanButClick(Sender: TObject);
var
  I,NumDevices: Byte;
  Info: THIDDeviceInfo;
begin

  NumDevices := HIDscanForDevices;


    InputWindow.Lines.Add(IntToStr(NumDevices) + ' device(s) found');
    for I := 0 to NumDevices - 1 do
    begin
      HIDGetDeviceInfo(I, Info);
      InputWindow.Lines.Add(Info.ManufacturerString+' '+Info.ProductString)
    end;



end;

end.
